version: "2"
services:

  # Jaeger
  jaeger-all-in-one:
    image: jaegertracing/all-in-one:latest
    ports:
      - "16686:16686"
      - "14268"
      - "14250"

  # Collector
  otel-collector:
    image: otel/opentelemetry-collector-contrib-dev:latest
    command: ["--config=/etc/otel-collector-config.yaml", "${OTELCOL_ARGS}"]
    volumes:
      - ./otel-collector-config.yaml:/etc/otel-collector-config.yaml
    ports:
      - "4317"   # OTLP gRPC receiver
      - "4318"   # OTLP HTTP receiver
      - "1888:1888"   # pprof extension
      - "13133:13133" # health_check extension
      - "55670:55679" # zpages extension
    depends_on:
      - jaeger-all-in-one

